View a markdown version of this page

StartThreatModelJob - AWS Security Agent

StartThreatModelJob

Starts a new threat model job for a threat model configuration.

Request Syntax

POST /StartThreatModelJob HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "threatModelId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

threatModelId

The unique identifier of the threat model to start a job for.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentSpaceId": "string", "createdAt": "string", "status": "string", "threatModelId": "string", "threatModelJobId": "string", "title": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentSpaceId

The unique identifier of the agent space.

Type: String

createdAt

The date and time the threat model job was created, in UTC format.

Type: Timestamp

status

The current status of the threat model job.

Type: String

Valid Values: IN_PROGRESS | STOPPING | STOPPED | FAILED | COMPLETED

threatModelId

The unique identifier of the threat model.

Type: String

threatModelJobId

The unique identifier of the started threat model job.

Type: String

title

The title of the threat model job.

Type: String

updatedAt

The date and time the threat model job was last updated, in UTC format.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: